<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
</head>
<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="#">POPL</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
          <a class="nav-link" href="#">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./dfs.html">DFT </a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="./random.html">Interactive</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="container pt-5 col-8">
        <div class="row">
            <h1>Depth-First Traversal</h1>
        </div>
        <div class="row">
          <p>Graph traversals are important algorithms for understanding graphs. Movement occurs along the edges of the graph, from node to node. This can be done systematically in breadth-wise manner or a depth-wise manner. Such traversals are called breadth-first or depth-first traversal respectively. <br><br>
          The depth-first traversal algorithm demonstrated here is a recursive algorithm. Two experiments are shown - a random, user-driven traversal and step-by-step demonstration of the depth-first traversal. This will allow the user to understand the systematic way the depth-first traversal functions. </p>
        </div>
    </div>
</body>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
</html>